Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.security.credentials
Interface DeployableCredentialMapperMBean

All Known Subinterfaces:
  DefaultCredentialMapperMBean

public interface DeployableCredentialMapperMBean
extends weblogic.management.commo.StandardInterface, CredentialMapperMBean

The SSPI MBean that must be extended by all Credential Mapper providers that can store credential maps created while deploying a component.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Method Summary
`boolean` | `isCredentialMappingDeploymentEnabled()` Indicates whether this Credential Mapper provider stores credential maps created when deploying a resource adapter.
`void` | `setCredentialMappingDeploymentEnabled(boolean newValue)` Indicates whether this Credential Mapper provider stores credential maps created when deploying a resource adapter.

Methods inherited from interface weblogic.management.security.ProviderMBean
`getDescription, getRealm, getVersion, setRealm`

Method Detail

### isCredentialMappingDeploymentEnabled

    public boolean isCredentialMappingDeploymentEnabled()

  Indicates whether this Credential Mapper provider stores credential maps created when deploying a resource adapter.

  Default Value: new java.lang.Boolean(true)
  Legal NULL: true

### setCredentialMappingDeploymentEnabled

    public void setCredentialMappingDeploymentEnabled(boolean newValue)
                                               throws javax.management.InvalidAttributeValueException

  Indicates whether this Credential Mapper provider stores credential maps created when deploying a resource adapter.

  Default Value: new java.lang.Boolean(true)
  Legal NULL: true
  Parameters:
    `newValue` - - new value for attribute CredentialMappingDeploymentEnabled
  Throws:
    javax.management.InvalidAttributeValueException -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD